Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.actions
Class GenericResponder

    java.lang.Object
      |
      +--quicktime.app.actions.MouseResponder
            |
            +--quicktime.app.actions.GenericResponder

Deprecated. since QTJava 4.0

public class GenericResponder
extends MouseResponder

This is a generic responder for MouseEvents. It places no conditions on the the containing space or target. An application can also register QTMouseListeners and MouseListeners with this responder in which case the GenericResponder will invoke the appropriate method on the registered listeners.

See Also:
  `QTMouseController`

Field Summary
`protected java.lang.Object` | `space` Deprecated. This is the QTDrawable space within which the Dragger's target is enclosed and contained
`protected java.lang.Object` | `target` Deprecated. This is the Transformable target of the Dragger action

Fields inherited from class quicktime.app.actions.MouseResponder
`kAnyModifiers, kAnyModifiersMask, kAnyMouseEvent, kAnyOneOfModifiers, kClickEvents, kDragEvents, kEnterEvents, kExitEvents, kModifiersDisregarded, kModifiersExactMatch, kMouseEvents, kMouseMotionEvents, kMouseOrMouseMotionEvents, kMoveEvents, kNoModifiers, kNoModifiersMask, kPressReleaseEvents, kQTMouseMotionEvents, kRolloverEvents, kSpecifiedModifiersOrNone, kTargetMoveEvents, modifierKeyMask, modifierTestConditions`

Constructor Summary
`GenericResponder(int modifierKeyMask, int modifierTestConditions, int eventTypes)` Deprecated. Set some parameters that will create a GenericResponder that will respond to all mouse events (including mouseMoveTarget events).

Method Summary
`void` | `addMouseListener(java.awt.event.MouseListener ml)` Deprecated. Registers a MouseListener to this responder.
`void` | `addMouseMotionListener(java.awt.event.MouseMotionListener ml)` Deprecated. Registers a MouseListener to this responder.
`void` | `addQTMouseMotionListener(QTMouseMotionListener ql)` Deprecated. Registers a QTMouseMotionListener to this responder.
`static GenericResponder` | `asAnyMouseListener(int modifierKeyMask, int modifierTestConditions)` Deprecated. Creates a GenericResponder that is interested in mouse events that are covered by the MouseListener, MouseMotionListener or QTMouseMotionListener interfaces.
`static GenericResponder` | `asMouseListener(int modifierKeyMask, int modifierTestConditions)` Deprecated. Creates a GenericResponder that is interested in mouse events that are covered by the MouseListener interface.
`static GenericResponder` | `asMouseMotionListener(int modifierKeyMask, int modifierTestConditions)` Deprecated. Creates a GenericResponder that is interested in mouse events that are covered by the MouseMotionListener interface.
`static GenericResponder` | `asMouseOrMouseMotionListener(int modifierKeyMask, int modifierTestConditions)` Deprecated. Creates a GenericResponder that is interested in mouse events that are covered by the MouseListener or MouseMotionListener interfaces.
`static GenericResponder` | `asQTMouseMotionListener(int modifierKeyMask, int modifierTestConditions)` Deprecated. Creates a GenericResponder that is interested in mouse events that are covered by the QTMouseMotionListener interface.
`static GenericResponder` | `asRolloverListener(int modifierKeyMask, int modifierTestConditions)` Deprecated. Creates a GenericResponder that is interested in mouse events that are covered by the QTMouseMotionListener interface.
`java.lang.Object` | `getSpace()` Deprecated. Returns the Space that the controller has been attached too.
`java.lang.Object` | `getTarget()` Deprecated. Returns the Target that the controller is currently controlling.
`boolean` | `isAppropriate(java.lang.Object object)` Deprecated. The MouseController delegates the appropriateness of objects that it can control to the MouseResponder.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse has been clicked on a found and valid target within the enclosing space.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse has been dragged on a found and valid target within the enclosing space.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse enters a QTDrawable space.
`void` | `mouseEnteredTarget(java.awt.event.MouseEvent e)` Deprecated. Invoked when a mouseMoved event enters a Target within an enclosing space.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse exits a QTDrawable space.
`void` | `mouseExitedTarget(java.awt.event.MouseEvent e)` Deprecated. Invoked when a mouseMoved event exits a Target within an enclosing space.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse button has been moved over a space.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse has been pressed on a found and valid target within the enclosing space.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Deprecated. Invoked when the mouse has been released after being pressed on a found and valid target within the enclosing space.
`void` | `removeMouseListener(java.awt.event.MouseListener ml)` Deprecated. Removes the specified MouseListener from the GenericResponder.
`void` | `removeMouseMotionListener(java.awt.event.MouseMotionListener ml)` Deprecated. Removes the specified MouseListener from the GenericResponder.
`void` | `removeQTMouseMotionListener(QTMouseMotionListener ql)` Deprecated. Removes the specified QTMouseMotionListener from the GenericResponder.
`protected void` | `removeTarget()` Deprecated. When the Responder is deactivated from the MouseController the controller uses this method to tell the Responder that it no longer has a target to act upon
`protected void` | `setTarget(java.lang.Object target)` Deprecated. This method is called by the MouseController when it has returned a target (say from a mousePressed event) and the Controller sets the target that the MouseResponder will then respond to.
`protected void` | `setTargetSpace(java.lang.Object s)` Deprecated. The MouseController asks its MouseResponder if the space it has been added to is an appropriate Space for the MouseResponder to deal with.

Methods inherited from class quicktime.app.actions.MouseResponder
`activationEventType, deactivate, getMouseController, isActive, isInterested, isInterested`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected java.lang.Object target

  Deprecated.
  This is the Transformable target of the Dragger action

### space

    protected java.lang.Object space

  Deprecated.
  This is the QTDrawable space within which the Dragger's target is enclosed and contained

Constructor Detail

### GenericResponder

    public GenericResponder(int modifierKeyMask,
                            int modifierTestConditions,
                            int eventTypes)

  Deprecated.
  Set some parameters that will create a GenericResponder that will respond to all mouse events (including mouseMoveTarget events).
  Parameters:
    `modifierKeyMask` - determines which modifier keys (or none) which must be depressed for the action to be invoked.
    `modifierTestConditions` - determines the conditions under which the responder is activated when the specified modifierKeyMask conditions are met.
    `eventTypes` - specifies the mouse event types that the responder is interested in.

Method Detail

### asMouseListener

    public static GenericResponder asMouseListener(int modifierKeyMask,
                                                   int modifierTestConditions)

  Deprecated.
  Creates a GenericResponder that is interested in mouse events that are covered by the MouseListener interface.
  Parameters:
    `modifierKeyMask` - the state of the modifier keys to activate this responder
    `modifierTestConditions` - the match criteria that are applied to the modifier keys
  Returns:
    a GenericResponder
  See Also:
    `MouseResponder.kMouseEvents`

### asMouseMotionListener

    public static GenericResponder asMouseMotionListener(int modifierKeyMask,
                                                         int modifierTestConditions)

  Deprecated.
  Creates a GenericResponder that is interested in mouse events that are covered by the MouseMotionListener interface.
  Parameters:
    `modifierKeyMask` - the state of the modifier keys to activate this responder
    `modifierTestConditions` - the match criteria that are applied to the modifier keys
  Returns:
    a GenericResponder
  See Also:
    `MouseResponder.kMouseMotionEvents`

### asMouseOrMouseMotionListener

    public static GenericResponder asMouseOrMouseMotionListener(int modifierKeyMask,
                                                                int modifierTestConditions)

  Deprecated.
  Creates a GenericResponder that is interested in mouse events that are covered by the MouseListener or MouseMotionListener interfaces.
  Parameters:
    `modifierKeyMask` - the state of the modifier keys to activate this responder
    `modifierTestConditions` - the match criteria that are applied to the modifier keys
  Returns:
    a GenericResponder
  See Also:
    `MouseResponder.kMouseOrMouseMotionEvents`

### asQTMouseMotionListener

    public static GenericResponder asQTMouseMotionListener(int modifierKeyMask,
                                                           int modifierTestConditions)

  Deprecated.
  Creates a GenericResponder that is interested in mouse events that are covered by the QTMouseMotionListener interface. This is ideal for doing rollover effects on member objects in a QT space where the objects are stationary as these objects have no need for the MouseExit event.
  Parameters:
    `modifierKeyMask` - the state of the modifier keys to activate this responder
    `modifierTestConditions` - the match criteria that are applied to the modifier keys
  Returns:
    a GenericResponder
  See Also:
    `MouseResponder.kQTMouseMotionEvents`

### asRolloverListener

    public static GenericResponder asRolloverListener(int modifierKeyMask,
                                                      int modifierTestConditions)

  Deprecated.
  Creates a GenericResponder that is interested in mouse events that are covered by the QTMouseMotionListener interface. This is ideal for doing rollover effects on member objects in a QT space where the objects can be repositioned by dragging by the user as the object is notified by a MouseExit method from the MouseListener interest.
  Parameters:
    `modifierKeyMask` - the state of the modifier keys to activate this responder
    `modifierTestConditions` - the match criteria that are applied to the modifier keys
  Returns:
    a GenericResponder
  See Also:
    `MouseResponder.kRolloverEvents`

### asAnyMouseListener

    public static GenericResponder asAnyMouseListener(int modifierKeyMask,
                                                      int modifierTestConditions)

  Deprecated.
  Creates a GenericResponder that is interested in mouse events that are covered by the MouseListener, MouseMotionListener or QTMouseMotionListener interfaces.
  Parameters:
    `modifierKeyMask` - the state of the modifier keys to activate this responder
    `modifierTestConditions` - the match criteria that are applied to the modifier keys
  Returns:
    a GenericResponder
  See Also:
    `MouseResponder.kAnyMouseEvent`

### setTargetSpace

    protected void setTargetSpace(java.lang.Object s)

  Deprecated.
  The MouseController asks its MouseResponder if the space it has been added to is an appropriate Space for the MouseResponder to deal with. If not the MouseResponder subclass that implements this method throws a ClassCastException and the MouseController will not be added to the Space.
  Overrides:
    `setTargetSpace` in class `MouseResponder`
  Parameters:
    `s` - the Space to which the responder's controller has been added.

### setTarget

    protected void setTarget(java.lang.Object target)

  Deprecated.
  This method is called by the MouseController when it has returned a target (say from a mousePressed event) and the Controller sets the target that the MouseResponder will then respond to.
  Overrides:
    `setTarget` in class `MouseResponder`
  Parameters:
    `target` - the object that is the selected target of the MouseEvent

### removeTarget

    protected void removeTarget()

  Deprecated.
  When the Responder is deactivated from the MouseController the controller uses this method to tell the Responder that it no longer has a target to act upon
  Overrides:
    `removeTarget` in class `MouseResponder`

### getSpace

    public java.lang.Object getSpace()

  Deprecated.
  Returns the Space that the controller has been attached too.
  Returns:
    the container space.

### getTarget

    public java.lang.Object getTarget()

  Deprecated.
  Returns the Target that the controller is currently controlling. This will be null if the mouse event is not targetted, or the Responder is not currently responding to a mouse event.
  Returns:
    the current target or null

### isAppropriate

    public boolean isAppropriate(java.lang.Object object)

  Deprecated.
  The MouseController delegates the appropriateness of objects that it can control to the MouseResponder. The MouseResponder returns true if the given object is the type of object that it can control.
  Overrides:
    `isAppropriate` in class `MouseResponder`
  Parameters:
    `object` - the object to test
  Returns:
    true if the object is the type of object that the Responder can control

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse has been clicked on a found and valid target within the enclosing space.
  Overrides:
    `mouseClicked` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse enters a QTDrawable space. There is no target set for events of this kind.
  Overrides:
    `mouseEntered` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse exits a QTDrawable space. There is no target set for events of this kind.
  Overrides:
    `mouseExited` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseEnteredTarget

    public void mouseEnteredTarget(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when a mouseMoved event enters a Target within an enclosing space. The Target is set for events of this kind.
  Overrides:
    `mouseEnteredTarget` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseExitedTarget

    public void mouseExitedTarget(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when a mouseMoved event exits a Target within an enclosing space. The Target is set for events of this kind.
  Overrides:
    `mouseExitedTarget` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse button has been moved over a space. There is no target set for events of this kind. (with no buttons no down).
  Overrides:
    `mouseMoved` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse has been pressed on a found and valid target within the enclosing space.
  Overrides:
    `mousePressed` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse has been dragged on a found and valid target within the enclosing space. This method is only called if the responder has been activated by a mouse pressed event.
  Overrides:
    `mouseDragged` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Deprecated.
  Invoked when the mouse has been released after being pressed on a found and valid target within the enclosing space.
  Overrides:
    `mouseReleased` in class `MouseResponder`
  Parameters:
    `e` - the MouseEvent that triggered this event

### addQTMouseMotionListener

    public void addQTMouseMotionListener(QTMouseMotionListener ql)

  Deprecated.
  Registers a QTMouseMotionListener to this responder. The listener will be invoked with any of the mouse events the responder is invoked by. If the Responder has not been created to listen to these type of events then the listener will not be registered. The application can test this by calling:

      		myGenericResponder.isInterested (MouseResponder.kQTMouseMotionEvents)

  The intereste in mouseMotionEvents is a contained interest of QTMouseMotion events, and is thus the minimal requirement to register this kind of listener.
  Parameters:
    `ql` - the new QTMouseMotionListener

### removeQTMouseMotionListener

    public void removeQTMouseMotionListener(QTMouseMotionListener ql)

  Deprecated.
  Removes the specified QTMouseMotionListener from the GenericResponder.
  Parameters:
    `ql` - the QTMouseMotionListener to remove

### addMouseListener

    public void addMouseListener(java.awt.event.MouseListener ml)

  Deprecated.
  Registers a MouseListener to this responder. The listener will be invoked with any of the mouse events the responder is invoked by. If the Responder has not been created to listen to these type of events then the listener will not be registered. The application can test this by calling:

      		myGenericResponder.isInterested (MouseResponder.kMouseEvents)

  Parameters:
    `ml` - the new MouseListener

### removeMouseListener

    public void removeMouseListener(java.awt.event.MouseListener ml)

  Deprecated.
  Removes the specified MouseListener from the GenericResponder.
  Parameters:
    `ml` - the MouseListener to remove

### addMouseMotionListener

    public void addMouseMotionListener(java.awt.event.MouseMotionListener ml)

  Deprecated.
  Registers a MouseListener to this responder. The listener will be invoked with any of the mouse events the responder is invoked by. If the Responder has not been created to listen to these type of events then the listener will not be registered. The application can test this by calling:

      		myGenericResponder.isInterested (MouseResponder.kMouseMotionEvents)

  Parameters:
    `ml` - the new MouseListener

### removeMouseMotionListener

    public void removeMouseMotionListener(java.awt.event.MouseMotionListener ml)

  Deprecated.
  Removes the specified MouseListener from the GenericResponder.
  Parameters:
    `ml` - the MouseListener to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD